import java.util.*;
import java.io.*;

public class Problem_2_Black_And_Grey {

    public static void main(String[] args) {

        try {
            //System.out.println("Stated");
            Scanner file = new Scanner(new File("C:\\Users\\Tony\\Desktop\\DATA21.txt"));

            while(file.hasNextLine()) {

                ArrayList<String> list = new ArrayList<String>();

                for (int l = 0; l < 6; l++) {
                    list.add(file.nextLine());
                }

                int n = Integer.parseInt(list.get(0));

                int[][] board = new int[n][n];

                ArrayList<Integer> factors = factors(n);
                
                int[][] transformed = new int[n][n];
                
                for (int factor : factors) {
                    
                    int blackGrid = n / factor;
                    int numberOfGrids = factor;
                    
                    for (int i = 0; i < numberOfGrids; i++) {
                        for (int j = 0; j < numberOfGrids; j++) {
                            
                            for (int k = i * blackGrid; k < i * blackGrid + blackGrid; k++) {
                                for (int l = j * blackGrid; l < j* blackGrid + blackGrid; l++) {
                                    if ( (i+j)%2 == 0) {
                                        board[k][l] = 1;
                                    } else {
                                        board[k][l] = 0;
                                    }
                                }
                            }
                        }
                    }
                    
                    // add matrices
                    for (int i = 0; i < n; i++) {
                        for (int j = 0; j < n; j++) {
                            
                            if (transformed[i][j] == 1 && board[i][j] == 1) {
                                transformed[i][j] = 0;
                            } 
                            else if (transformed[i][j] == 1 && board[i][j] == 0) {
                                transformed[i][j] = 1;
                            }
                            else if (transformed[i][j] == 0 && board[i][j] == 1) {
                                transformed[i][j] = 1;
                            }
                            else if (transformed[i][j] == 0 && board[i][j] == 0) {
                                transformed[i][j] = 0;
                            }
                        }
                    }
                    
                }
                
                /*for (int[] i : transformed) {
                    for (int j : i) {
                        System.out.print(j + " ");
                    } 
                    System.out.println();
                }
                System.out.println("\n\n");*/
                
                for (int i = 1; i < 6; i++) {
                    int row = Integer.parseInt(list.get(i).split("\\s+")[0]);
                    int col = Integer.parseInt(list.get(i).split("\\s+")[1]);
                    
                    if (transformed[row-1][col-1] == 0) {
                        System.out.print("G");
                    } else {
                        System.out.print("B");
                    }
                }
                System.out.println();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static ArrayList<Integer> factors (int n) {

        ArrayList<Integer> list = new ArrayList<Integer>();
        
        for (int i = n; i >= 1; i--) {
            if (n % i == 0) list.add(i);
        }
        
        /*for (int i = (int)Math.sqrt(n) + 1; i >= 1; i--) {
            if (n % i == 0) list.add(i);
        }
        
        for (int factor : list) {
            list.add(n / factor);
        }*/
        
        return list;
    }
}
